/*
**  modem.h
**
**  Structures for MODEM.FD
**
**  Copyright 1991-1993 Joaquim Homrighausen; All rights reserved.
**
**  Last revised: 93-06-21                         FrontDoor 2.11+
**
**  -------------------------------------------------------------------------
**  This information is not necessarily final and is subject to change at any
**  given time without further notice
**  -------------------------------------------------------------------------
*/
#ifndef __MODEM_H__
#define __MODEM_H__

#ifdef __cplusplus
extern "C" {
#endif

    /* Miscellaneous flags (FLAGS) */

#define MODEM_MAXENTRY  256              /*Maximum number of entries in list*/
#define MODEM_INACTIVE  0x0001                     /*Ignore string, inactive*/
#define MODEM_DELETED   0x8000                       /*Never written to disk*/

typedef struct
    {
    char                matchstr[24],                      /*String to match*/
                        sendstr[32];                        /*String to send*/
    unsigned short int  flags;                                   /*See above*/
    }
    _MODEMREC;

#ifdef __cplusplus
}
#endif
#endif

/* end of file "modem.h" */
